Bug 461288 - [EMC 5.4 feat] Require kernel support to issue Control I/O to CKD dasd on EMC Symmetrix arrays
[EMC 5.4 feat] Require kernel support to issue Control I/O to CKD dasd on EMC...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
s390x Linux
high Severity high
: beta
: 5.4
Assigned To: Hans-Joachim Picht
Red Hat Kernel QE team
: FutureFeature, OtherQA
: 483154 (view as bug list)
Depends On:
Blocks: 459808 483701 483784 485920
  Show dependency treegraph
 
Reported: 2008-09-05 12:31 EDT by Nigel Hislop
Modified: 2014-07-24 23:37 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Support has been added to the kernel to issue EMC Symmetrix Control I/O. This update provides the ability to manage EMC Symmetrix storage arrays with Red Hat Enterprise Linux on the IBM System z platform.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:22:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL 5.2 patch for EMC Symmetrix CKD ioctl (5.10 KB, patch)
2009-03-02 09:30 EST, Nigel Hislop
no flags Details | Diff

  None (edit)
Description Nigel Hislop 2008-09-05 12:31:35 EDT
User-Agent:       Opera/9.52 (Windows NT 5.1; U; en)

The kernel dasd_eckd routines (ioctls) provide no mechanism to issue an EMC Symmetrix specific Perform Subsystem Function CCW from the user space and to return the array response (via a Read Subsystem Data CCW) to the user space.

Reproducible: Always

Steps to Reproduce:
This would require running an EMC Solutions Enabler tool (such as the Solutions Enabler inquiry tool) on a s390x host with Symmetrix configured CKD dasd defined to the host.
Actual Results:  
No devices are found, as EMC arrays are not specifically supported.

#./inquiry
Inquiry utility, Version X7.3-892 (Rev 0.169)      (SIL Version X7.0.0.169 (Edit Level 892)
Copyright (C) by EMC Corporation, all rights reserved.
----------------------------------------------------------------------
DEVICE      :VEND    :PROD            :REV   :SER NUM    :CAP(kb)
----------------------------------------------------------------------
# 


Expected Results:  
#./inquiry
Inquiry utility, Version X7.3-892 (Rev 0.169)      (SIL Version X7.0.0.169 (Edit Level 892)
Copyright (C) by EMC Corporation, all rights reserved.
----------------------------------------------------------------------
DEVICE      :VEND    :PROD            :REV   :SER NUM    :CAP(kb)
----------------------------------------------------------------------
/dev/dasdaa :EMC     :SYMMETRIX       :5772  :351172d109 :     2771500
/dev/dasdab :EMC     :SYMMETRIX       :5772  :351173f109 :     2771500
/dev/dasdac :EMC     :SYMMETRIX       :5772  :35000b4101 :      923833
/dev/dasdad :EMC     :SYMMETRIX       :5772  :35000b5101 :      923833
/dev/dasdae :EMC     :SYMMETRIX       :5772  :350027c101 :      923833
# 

The patch required to support this functionality was submitted to IBM (as at 05 Sep 2009), however it may not yet be patched into the kernel trunk.

This patch creates ioctl 240 that will allow EMC products to issue EMC Symmetrix Control I/O.

We require this functionality patched into the next release (5.3) of Red Hat Enterprise Linux 5.
Comment 1 Andrius Benokraitis 2008-09-05 13:07:02 EDT
Who at IBM is driving this patch as well?
Comment 2 Nigel Hislop 2008-09-05 13:25:26 EDT
Primarily:
Martin Schwidefsky <schwidefsky@de.ibm.com>

Secondary:
Stefan Weinhuber <WEIN@de.ibm.com>
Holger Smolinski <smolinski@de.ibm.com>


The patch was developed on kernel version 2.6.26.2 stable
Comment 3 Andrius Benokraitis 2008-09-05 13:37:26 EDT
Great, thanks Nigel. Please post a link to the upstream commit when that occurs.
Comment 5 Nigel Hislop 2008-09-05 13:51:41 EDT
RHEL 5.3 is possibly a little aggressive for this patch.
Any thoughts regarding pushing this out to a later release?
I don't have tentative dates for 5.4 and 6 though. Are any available?
Comment 6 Ric Wheeler 2008-09-05 14:01:19 EDT
Nigel, can you summarize what the impact is on not having this patch out? What functionality breaks for our 390 customers with a Symm?

If it is more critical, it can have a more aggressive schedule.

Also, it helps the process here a lot if you can get the IBM people to bless the patch for the mainstream kernel.
Comment 7 Nigel Hislop 2008-09-05 14:43:12 EDT
Without this patch, we are not able to discover CKD devices on s390x platforms.
For mainframe customers who have only have CKD devices, this means that they cannot manage their Symmetrix arrays with EMC's storage management products on RHEL systems.
Comment 8 Nigel Hislop 2008-09-08 09:51:34 EDT
As the kernel for RHEL 5.3 is already frozen, we need to push this out.
Is there any awareness of tentative releases dates for RHEL 5.4 and RHEL 6 ?
Comment 9 Andrius Benokraitis 2008-09-08 10:23:51 EDT
Nigel, please contact Wayne or I directly - I can't post release dates in a public bugzilla.
Comment 10 Nigel Hislop 2008-09-15 13:50:58 EDT
Updating version to RHEL 5.4
Comment 12 RHEL Product and Program Management 2009-02-16 10:20:56 EST
Updating PM score.
Comment 13 Tom Coughlan 2009-02-25 19:24:18 EST
Hans,

Is this something you could handle, if-and-when we get a patch? 

Tom
Comment 14 Andrius Benokraitis 2009-02-27 21:24:06 EST
*** Bug 483154 has been marked as a duplicate of this bug. ***
Comment 15 Andrius Benokraitis 2009-02-27 21:31:56 EST
Nigel - please post a link to the upstream patch if you could... thanks!
Comment 16 Nigel Hislop 2009-03-02 09:26:44 EST
Moving across some updates from 483154
Refer to the 2.6.28 git upstream patch at:
http://preview.tinyurl.com/awncad
or
http://git390.osdl.marist.edu/cgi-bin/gitweb.cgi?p=linux-2.6.git;a=commit;h=ab1d848fd6a9151b02c6cbf4bddce6e24707b094
Comment 17 Nigel Hislop 2009-03-02 09:27:58 EST
Attaching RHEL 5.2 patch slightly modified from upstream patch  (ckd device structure change)
Comment 18 Nigel Hislop 2009-03-02 09:30:54 EST
Created attachment 333738 [details]
RHEL 5.2 patch for EMC Symmetrix CKD ioctl 

Patch built and tested on RHEL 5.2 kernel
Comment 19 Ric Wheeler 2009-05-22 09:36:32 EDT
Hans, any progress on testing this patch? Do you need help getting this done?

Regards,

Ric
Comment 20 Hans-Joachim Picht 2009-05-25 04:21:17 EDT
Ric, I can't test this because I don't have access to the required EMC hardware. Most likely someone from EMC has to test this.

Regards,


   --Hans
Comment 21 Ric Wheeler 2009-05-25 12:19:55 EDT
Hi Hans,

I assume that Nigel who authored the patch can verify and test. Tom, were you looking for a reviewer?
Comment 22 Nigel Hislop 2009-05-26 10:00:29 EDT
I can test if an installable version of the RHEL 5.4 kernel is available
Comment 23 Andrius Benokraitis 2009-05-30 02:46:43 EDT
Hans - any updates here? Are you waiting for feedback from EMC?
Comment 25 Don Zickus 2009-06-04 12:06:59 EDT
in kernel-2.6.18-152.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 27 Nigel Hislop 2009-06-04 12:22:22 EDT
Should there be 152 folder?
I'm only seeing these

149.el5/	19-May-2009 15:56 	- 
150.el5/	21-May-2009 11:51 	- 
151.el5/	28-May-2009 14:03 	-
Comment 28 Andrius Benokraitis 2009-06-04 12:39:35 EDT
Nigel - give it till the end of the day - doesn't look like Don has uploaded that version yet to his people page. Keep an eye on it! :-)
Comment 29 Don Zickus 2009-06-04 14:53:21 EDT
Sorry, should be there now.
Comment 30 Nigel Hislop 2009-06-09 13:02:26 EDT
Testing with 152.el5 looks good and I believe the fix is correct.
Thank you.

RHEL release information is still showing up as 5.3 though.


[root@LN165014 nbh]# cat /etc/*releas*
cat: /etc/lsb-release.d: Is a directory
Red Hat Enterprise Linux Server release 5.3 (Tikanga)

[root@LN165014 nbh]# uname -a
Linux LN165014 2.6.18-152.el5 #1 SMP Wed Jun 3 18:57:17 EDT 2009 s390x s390x s390x GNU/Linux
Comment 31 Chris Ward 2009-06-14 19:15:37 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 32 Chris Ward 2009-07-03 14:07:48 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 33 Shawn Wells 2009-07-08 17:52:29 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
This patch creates ioctl 240 that will allow EMC products to issue EMC Symmetrix Control I/O, ultimately allowing customers to manage their Symmetrix arrays with EMC's storage management products on Red Hat Enterprise Linux for System z instances.
Comment 34 Nigel Hislop 2009-07-09 10:47:23 EDT
Confirmed that this fix/patch works 

Red Hat Enterprise Linux Server release 5.4 Beta (Tikanga)  

2.6.18-155.el5 #1 SMP Fri Jun 19 17:08:22 EDT 2009 s390x s390x s390x GNU/Linux

Thank you.
Comment 35 Ryan Lerch 2009-07-20 19:11:37 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-This patch creates ioctl 240 that will allow EMC products to issue EMC Symmetrix Control I/O, ultimately allowing customers to manage their Symmetrix arrays with EMC's storage management products on Red Hat Enterprise Linux for System z instances.+Support has been added to the kernel to issue EMC Symmetrix Control I/O. This update provides the ability to manage EMC Symmetrix storage arrays with Red Hat Enterprise Linux on the IBM System z platform.
Comment 37 errata-xmlrpc 2009-09-02 04:22:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.